using System;

class Program
{
    static void Main()
    {
        try
        {
            Console.WriteLine("Въведете ден:");
            int day = int.Parse(Console.ReadLine());

            Console.WriteLine("Въведете месец:");
            int month = int.Parse(Console.ReadLine());

            Console.WriteLine("Въведете година:");
            int year = int.Parse(Console.ReadLine());

            if (IsValidDate(day, month, year))
            {
                Console.WriteLine("Датата е валидна.");
            }
            else
            {
                Console.WriteLine("Датата не е валидна.");
            }
        }
        catch (Exception)
        {
            Console.WriteLine("Something went wrong!");
        }
    }

    static bool IsValidDate(int day, int month, int year)
    {
        if (year < 1 || month < 1 || month > 12)
        {
            return false;
        }

        int[] daysInMonth = { 0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 };

        if (IsLeapYear(year))
        {
            daysInMonth[2] = 29; // Високосна година, февруари има 29 дни
        }

        return day >= 1 && day <= daysInMonth[month];
    }

    static bool IsLeapYear(int year)
    {
        return (year % 4 == 0 && year % 100 != 0) || (year % 400 == 0);
    }
}
