import java.util.Scanner;

public class DateValidationProgram {
    public static void main(String[] args) {
        try {
            Scanner scanner = new Scanner(System.in);

            System.out.println("Въведете ден:");
            int day = scanner.nextInt();

            System.out.println("Въведете месец:");
            int month = scanner.nextInt();

            System.out.println("Въведете година:");
            int year = scanner.nextInt();

            if (isValidDate(day, month, year)) {
                System.out.println("Датата е валидна.");
            } else {
                System.out.println("Датата не е валидна.");
            }
        } catch (Exception e) {
            System.out.println("Something went wrong!");
        }
    }

    static boolean isValidDate(int day, int month, int year) {
        if (year < 1 || month < 1 || month > 12) {
            return false;
        }

        int[] daysInMonth = { 0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 };

        if (isLeapYear(year)) {
            daysInMonth[2] = 29; // Високосна година, февруари има 29 дни
        }

        return day >= 1 && day <= daysInMonth[month];
    }

    static boolean isLeapYear(int year) {
        return (year % 4 == 0 && year % 100 != 0) || (year % 400 == 0);
    }
}
