using System;
using System.Collections.Generic;

class Movie
{
    public string Title { get; set; }
    public string Director { get; set; }
    public int Year { get; set; }

    public Movie(string title, string director, int year)
    {
        Title = title;
        Director = director;
        Year = year;
    }

    public override string ToString()
    {
        return $"Movie: {Title}, Director: {Director}, Year: {Year}";
    }
}

class FilmLibrary
{
    public string Name { get; set; }
    public List<Movie> Movies { get; set; }

    public FilmLibrary(string name)
    {
        Name = name;
        Movies = new List<Movie>();
    }

    public void AddMovie(string title, string director, int year)
    {
        Movie newMovie = new Movie(title, director, year);
        Movies.Add(newMovie);
    }

    public void DisplayInfo()
    {
        Console.WriteLine($"Film library: {Name}");
        foreach (var movie in Movies)
        {
            Console.WriteLine(movie);
        }
    }
}

class Program
{
    static void Main()
    {
        Console.Write("Enter a name for the library: ");
        string libraryName = Console.ReadLine();

        FilmLibrary filmLibrary = new FilmLibrary(libraryName);

        char choice;
        do
        {
            Console.WriteLine("Select an option:");
            Console.WriteLine("a - adding a movie");
            Console.WriteLine("v - view information about the film library");
            Console.WriteLine("q - exit");
            choice = Console.ReadKey().KeyChar;

            switch (choice)
            {
                case 'a':
                    Console.Write("\nEnter a movie title: ");
                    string title = Console.ReadLine();
                    Console.Write("Enter the director of the film: ");
                    string director = Console.ReadLine();

                    int year;
                    do
                    {
                        Console.Write("Enter year of issue: ");
                    } while (!int.TryParse(Console.ReadLine(), out year));

                    filmLibrary.AddMovie(title, director, year);
                    Console.WriteLine("The movie was successfully added!\n");
                    break;

                case 'v':
                    Console.WriteLine();
                    filmLibrary.DisplayInfo();
                    Console.WriteLine();
                    break;
            }

        } while (choice != 'q');
    }
}
