import java.util.ArrayList;

abstract class Perfume {
    protected String name;
    protected double price;
    protected String brand;
    protected int volume;

    public Perfume(String name, double price, String brand, int volume) {
        this.name = name;
        this.price = price;
        this.brand = brand;
        this.volume = volume;
    }

    // getters and setters

    public abstract double calculateDiscountedPrice();
}

class EauDeToilette extends Perfume {
    public EauDeToilette(String name, double price, String brand, int volume) {
        super(name, price, brand, volume);
    }

    public double calculateDiscountedPrice() {
        // 10% discount for EauDeToilette
        return price * 0.9;
    }
}

class EauDeParfum extends Perfume {
    public EauDeParfum(String name, double price, String brand, int volume) {
        super(name, price, brand, volume);
    }

    public double calculateDiscountedPrice() {
        // 15% discount for EauDeParfum
        return price * 0.85;
    }
}

class PerfumeShopMain {
    public static void main(String[] args) {
        ArrayList<Perfume> perfumes = new ArrayList<>();

        perfumes.add(new EauDeToilette("Cool Breeze", 50.0, "FreshScents", 100));
        perfumes.add(new EauDeParfum("Elegant Rose", 80.0, "LuxuryFragrance", 50));

        // Display information for each perfume
        for (Perfume perfume : perfumes) {
            System.out.println(perfume.name + " by " + perfume.brand + " - Original Price: $" + perfume.price +
                    ", Discounted Price: $" + perfume.calculateDiscountedPrice());
        }
    }
}
